// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store/store'
import Vuetify from 'vuetify'
import Notifications from 'vue-notification'
import Cliboard from 'v-clipboard'

import 'vuetify/dist/vuetify.min.css'
import 'highlight.js/styles/default.css'

Vue.use(Vuetify)
Vue.use(Cliboard)
Vue.use(Notifications)

Vue.config.productionTip = false

/* eslint-disable no-new */
export default new Vue({
  el: '#app',
  store,
  router,
  template: '<App/>',
  components: { App }
})
