import Vue from 'vue'
import SubmissionList from '@/components/student/SubmissionList'

describe('SubmissionList.vue', () => {
  it('tests the SubmissionList for students', () => {
    const data = [{
      type: {
        name: 'Aufgabe 01',
        fullScore: 14
      },
      feedback: {
        text: 'I am very disappointed.',
        score: 5
      }
    },
    {
      type: {
        name: 'Aufgabe 02',
        fullScore: 10
      },
      feedback: {
        text: 'I am still very disappointed.',
        score: 7
      }
    }]

    const Constructor = Vue.extend(SubmissionList)

    const comp = new Constructor({
      propsData: {
        // Props are passed in "propsData".
        submissions: data
      }
    }).$mount()

    expect(comp.sumScore)
      .to.equal(12)

    expect(comp.sumFullScore)
      .to.equal(24)

    expect(comp.pointRatio)
      .to.equal('50.00')
  })
})
